#ifndef __FS_ALLOC_H
#define __FS_ALLOC_H

typedef struct spi_msg_buff 
{
	size_t	size;		
	dma_addr_t dma_buffer;
	void* io_buffer;
} spi_fs_msg_buff_t;
void *fs_memory_alloc(size_t size, int base);
void fs_memory_free(const void *data);
void* fs_get_buffer( struct device *device, void* void_buff );
void fs_release_buffer( struct device *device, void* buffer );
#endif
