/***********************************************************************
 *
 *  Copyright 2005 by Sistemas Embebidos S.A.
 *  All rights reserved.
 *
 *  $Id: unc90utils.h,v 1.1 2005-09-08 17:57:33 pperez Exp $
 * 
 *  File:   linux/include/asm-arm/arch-at91rm9200/unc90utils.h
 *  Author: Pedro Perez de Heredia
 *  Descr:  Header file that contains some helper functions for the
 *          UNC90 module.
 *  
 ***********************************************************************
 *  @History:
 *     2005/01/27 : Initial version.
 ***********************************************************************/

#ifndef __UNC90_UTILS_H
#define __UNC90_UTILS_H

// Some helper functions for UNC90 users
extern int unc90_config_smc_cs( int cs, int wait_states, 
                                int waits_enable, int tdf, 
                                int bat, int dbw, int drp,
                                int acss, int rwsetup, int rwhold );


#endif	// __UNC90_UTILS_H
